Summary: BIND - DNS name server
Name: bind
Version: 8.1.2
Release: 5
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-src.tar.gz
Source1: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-doc.tar.gz
Source2: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-%{version}-contrib.tar.gz
Source3: named.init
Url: http://www.isc.org/bind.html
Patch0: bind-%{version}-rh.patch
Patch1: bind-%{version}-nonlist.patch
Buildroot: /var/tmp/bind-root
Prereq: /sbin/chkconfig
Summary(de): BIND - DNS-Namenserver
Summary(fr): BIND - serveur de noms DNS
Summary(tr): DNS alan ad sunucusu

%description
Includes the named name server, which is used to define host name
to IP address translations (and vice versa).  It can be used on
workstations as a caching name server, but is generally only needed
on one machine for an entire network.

%description -l de
Enthlt den Namen-Server, der zum Umwandeln von Host-Namen in
IP-Adressen und umgekehrt verwendet wird. Er kann auf
Workstations als caching Namen-Server verwendet werden, ist aber
i.d.R. nur auf einem Recher des Netzwerks erforderlich.

%description -l fr
Contient le serveur de noms named, utilis pour dfinir les traductions
nom d'hte vers adresse IP (et vice versa). Il peut tre utilis sur
les stations de travail comme serveur de nom en cache mais n'est souvent
ncessaire que sur une machine pour un rseau entier.

%description -l tr
Bu paket, makina adn IP numarasna (ya da tersi) evirmek iin kullanlan
alan ad sunucusunu ierir.  istasyonlarnda bir nbellek isim sunucusu
olarak da kullanlabilir ama genellikle btn bir a iin sadece bir makina
zerinde kurulur.

%package utils
Summary: DNS utils - host, dig, dnsquery, nslookup
Group: Networking/Utilities
Summary(de): DNS-Utils - Host, Dig, Dnsquery, Nslookup
Summary(fr): Utilitaires DNS - host, dig, dnsquery, nslookup
Summary(tr): DNS aralar - host, dig, dnsquery, nslookup

%description utils
Collection of utilities for querying name servers and looking up hosts.
These tools let you determine the IP addresses for given host names,
and find information about registered domains and network addresses.

%description -l de utils
Dienstprogrammsammlung zum Abfragen von Namen-Servern und Hosts.
Diese Tools bestimmen die IP-Adresse eines angegebenen Host-Namen
und finden Informationen ber registrierte Domains und Netzwerk-Adressen.

%description -l fr utils
Ensemble d'utilitaires pour interroger les serveurs de noms et rechercher
des htes. Ces outils vous permettent de dterminer les adresses IP pour
des noms d'htes donns, et trouver des informations sur les noms de
domaine dclars et les adresses rseau.

%description -l tr utils
Bu pakette isim sunucularn sorgulamak ve makina adreslerini zmek iin
kullanlan aralar bulunmaktadr.

%package devel
Summary: DNS development includes and libs
Group: Networking/Development

%description devel
All the include files and the library required for DNS development for
bind 8.x.x

%prep
%setup -q -n src
%setup -q -n src -T -D -a 1
%setup -q -n src -T -D -a 2

%patch0 -p1 -b .rh
%patch1 -p1 -b .nonlist

rm -f compat/include/sys/cdefs.h

%build
make 
make SUBDIRS=doc/man clean all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin}
mkdir -p ${RPM_BUILD_ROOT}/usr/man/{man1,man3,man5,man7,man8}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d

make DESTDIR=$RPM_BUILD_ROOT install
make SUBDIRS=doc/man DESTDIR=$RPM_BUILD_ROOT INSTALL=install install

install -m 755 $RPM_SOURCE_DIR/named.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K45named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S55named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc4.d/S55named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d/S55named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K45named


%post
/sbin/chkconfig --add named
if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/doc/bind-%{version}/named-bootconf.pl ]; then
    cat /etc/named.boot | /usr/doc/bind-%{version}/named-bootconf.pl > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del named
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README INSTALL Version CHANGES TODO bin/named/named-bootconf.pl

%config /etc/rc.d/init.d/named
%config(missingok) /etc/rc.d/rc0.d/K45named
%config(missingok) /etc/rc.d/rc1.d/K45named
%config(missingok) /etc/rc.d/rc2.d/K45named
%config(missingok) /etc/rc.d/rc3.d/S55named
%config(missingok) /etc/rc.d/rc4.d/S55named
%config(missingok) /etc/rc.d/rc5.d/S55named
%config(missingok) /etc/rc.d/rc6.d/K45named

/usr/sbin/named
/usr/sbin/named-xfer
/usr/sbin/ndc

/usr/man/man8/named.8
/usr/man/man8/ndc.8
/usr/man/man8/named-xfer.8
/usr/man/man7/hostname.7
     
%files utils
%defattr(-,root,root)
/usr/bin/nslookup
/usr/lib/nslookup.help
/usr/bin/host
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/addr
/usr/bin/nsupdate
/usr/man/man1/dig.1
/usr/man/man1/host.1
/usr/man/man1/dnsquery.1
/usr/man/man8/nslookup.8
/usr/man/man5/resolver.5
/usr/man/man5/irs.conf.5

%files devel
%defattr(-,root,root)
/usr/lib/bind

%changelog
* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- change named.restart to /usr/sbin/ndc restart

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- install man pages correctly.
- change K10named to K45named.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- don't start if /etc/named.conf doesn't exist.

* Sat Aug  8 1998 Jeff Johnson <jbj@redhat.com>
- autmagically create /etc/named.conf from /etc/named.boot in %post
- remove echo in %post

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in 5.1 mods

* Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>
- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'

* Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>
- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include
  on Redhat 5.0 instead of <nlist.h>

